# MenuItem
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.gui.objects

## Enum MenuItem

- java.lang.Object
- - java.lang.Enum<MenuItem>
  - - me.legofreak107.vehiclesplus.libraries.gui.objects.MenuItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MenuItem>

    public enum MenuItem
    extends java.lang.Enum<MenuItem>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLANK`
`CONFIRM`
`DENY`
`NEXT`
`PREVIOUS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.bukkit.inventory.ItemStack` `getItem()`
`static MenuItem` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MenuItem[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BLANK

    public static final MenuItem BLANK

#### PREVIOUS

    public static final MenuItem PREVIOUS

#### NEXT

    public static final MenuItem NEXT

#### CONFIRM

    public static final MenuItem CONFIRM

#### DENY

    public static final MenuItem DENY

### Method Detail

#### values

    public static MenuItem[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MenuItem c : MenuItem.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MenuItem valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getItem

    public org.bukkit.inventory.ItemStack getItem()